"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.includeAlias = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const includeAlias = ['applicationName', 'distDir', 'jwtCookie', 'host', 'port', 'rootPath', 'staticDir', 'staticPath'];
exports.includeAlias = includeAlias;

const importConstants = () => {
  const exports = [`import '$resolve.guardOnlyServer'`];

  const alias = _fs.default.readdirSync(__dirname).filter(filename => _path.default.extname(filename) === '.js').map(filename => _path.default.basename(filename, '.js').replace('$resolve.', '')).filter(alias => includeAlias.includes(alias));

  for (const name of alias) {
    exports.push(`import ${name} from '$resolve.${name}'`);
  }

  exports.push(``, `export default {`, ` ${alias.join(',\r\n')}`, `}`);
  return exports.join('\r\n');
};

var _default = importConstants;
exports.default = _default;
//# sourceMappingURL=$resolve.constants.js.map